# tinker.types.GetBillingUsageRequest ## *class* [**tinker.types.GetBillingUsageRequest**](https://github.com/thinking-machines-lab/tinker/blob/main/src/tinker/types/billing_usage_request.py#L8)(*[StrictBase](https://github.com/thinking-machines-lab/tinker/blob/main/src/tinker/_models.py#L76)*) Query parameters for GET /api/v1/billing/usage/events. **Fields:** - [**starting_on**](https://github.com/thinking-machines-lab/tinker/blob/main/src/tinker/types/billing_usage_request.py#L11) (*datetime*) – Inclusive window start, aligned to a UTC hour boundary - [**ending_before**](https://github.com/thinking-machines-lab/tinker/blob/main/src/tinker/types/billing_usage_request.py#L14) (*datetime*) – Exclusive window end, aligned to a UTC hour boundary; at most 14 days after `starting_on`; the window must not start in the future